Quassel IRC - Bug #1090

changeBuffer() fails if trying to skip over a group with no children

08/02/2011 05:04 PM - FishFace

Status: Resolved Start date: 08/02/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: 0.7.4

Version: 0.8-pre 0S: Any
Description

This can be seen by, for example, using the shortcut for "next buffer" when currently in the last buffer of a group, when the next
group is empty but there are nonetheless later buffers open. Or diagrammatically:

e Quakenet

o #channel

o #currentchannel
* FreeNode
e OFTC

o #iwanttogohere

Shouldn't be too hard to fix. | can envisage having a method to get the next/previous buffer being useful.

History

#1 - 02/01/2012 04:22 PM - johu

- Target version set to Some future release

https://gitorious.org/quassel/quassel/merge_requests/120

#2 - 02/06/2012 04:34 PM - johu
- Status changed from New to Resolved

- Target version changed from Some future release to 0.7.4

see 5a4b3153
